SITETB - Feature #64

Importacao dos casos do TBMR - Ajustar data do diagnhéstico

08/01/2012 11:11 AM - Ricardo Memoria

Status: Closed Start date: 08/01/2012
Priority: Normal Due date: 08/29/2012
Assignee: Mauricio Dos Santos % Done: 100%
Category: Estimated time: 2.00 hours
Target version: Verséo atual Spent time: 0.00 hour
Componente: Casos

Description

Ao importar os casos do sistema TBMR para o SITETB, a data de diagnéstico é gravada como a data da notificagéo.

O programa deve seguir a regra definida pelo Jorge:
12: data da primeira baciloscopia positiva;

ou
22: se baciloscopia negativa, a data da primeira consulta.

Modificagdes dentro do cddigo fonte:

No arquivo org.msh.tb.br.ImportTBMRTask.java, modificar método protected void importCase()

tbcase.setPatient (p);
tbcase.setlLegacyId(rsCases.getString ("COD_CASO"));

refDate = rsCases.getDate ("DATA_NOTIFICACAQO");
tbcase.setRegistrationDate (refDate);

// modificar esta linha do cdédigo
tbcase.setDiagnosisDate (refDate);

History

#1 - 08/29/2012 12:09 PM - Mauricio Dos Santos
- Tracker changed from Melhoria to Feature

- Due date set to 08/29/2012

- Status changed from New to Resolved

- % Done changed from 0 to 100

- Estimated time set to 2.00

Feito, caso nao entre em nenhuma das regras acima o sistema usa a data de notificagéo.

#2 - 08/29/2012 02:06 PM - Mauricio Dos Santos

- Status changed from Resolved to Closed
